export declare abstract class BaseMarkupMode {
    protected _content: string;
    protected _end: number;
    protected _quill: any;
    protected _start: number;
    protected _style: any;
    protected _text: string;
    constructor(quill: any);
    content: string;
    readonly end: number;
    readonly quill: any;
    readonly start: number;
    style: any;
    readonly text: string;
    abstract handleBold(): void;
    markup(text: string, start: number, end: number): void;
}
